build:
  stage: build
  image: "docker:${DOCKER_VERSION}"
  services:
    - "docker:${DOCKER_VERSION}-dind"
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
  script:
    - docker build --build-arg DOCKER_VERSION="$DOCKER_VERSION"
      --tag "$BUILD_IMAGE_NAME"
      --tag "$BUILD_IMAGE_NAME_LATEST"
      .
    - docker push "$BUILD_IMAGE_NAME"
    - docker push "$BUILD_IMAGE_NAME_LATEST"
  tags:
    - nexus_runner